typedef Future InitMethod();

class Application {
  // 初始化方法
  static List<InitMethod> _initMethods = List();

  static Future init() async {
    for (InitMethod method in _initMethods) {
      await method();
    }

    return Future.delayed(Duration.zero);
  }

  static addMethod(InitMethod method) {
    _initMethods.add(method);
  }
}
